weka.gui

## Class BrowserHelper

- java.lang.Object
- - weka.gui.BrowserHelper

-     public class BrowserHelper
      extends java.lang.Object

  A little helper class for browser related stuff.

  The `openURL` method is based on Bare Bones Browser Launch, which is placed in the public domain.
  Version:
    $Revision: 12296 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `LINUX_BROWSERS` Linux/Unix binaries to look for

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrowserHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.JLabel` | `createLink(java.lang.String url, java.lang.String text)` Generates a label with a clickable link.
    `static void` | `openURL(java.awt.Component parent, java.lang.String url)` opens the URL in a browser.
    `static void` | `openURL(java.awt.Component parent, java.lang.String url, boolean showDialog)` opens the URL in a browser.
    `static void` | `openURL(java.lang.String url)` opens the URL in a browser.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LINUX_BROWSERS

          public static final java.lang.String[] LINUX_BROWSERS

      Linux/Unix binaries to look for

  - ### Constructor Detail

    - #### BrowserHelper

          public BrowserHelper()

  - ### Method Detail

    - #### openURL

          public static void openURL(java.lang.String url)

      opens the URL in a browser.
      Parameters:
        `url` - the URL to open

    - #### openURL

          public static void openURL(java.awt.Component parent,
                                     java.lang.String url)

      opens the URL in a browser.
      Parameters:
        `parent` - the parent component
        `url` - the URL to open

    - #### openURL

          public static void openURL(java.awt.Component parent,
                                     java.lang.String url,
                                     boolean showDialog)

      opens the URL in a browser.
      Parameters:
        `parent` - the parent component
        `url` - the URL to open
        `showDialog` - whether to display a dialog in case of an error or just print the error to the console

    - #### createLink

          public static javax.swing.JLabel createLink(java.lang.String url,
                                                      java.lang.String text)

      Generates a label with a clickable link.
      Parameters:
        `url` - the url of the link
        `text` - the text to display instead of URL. if null or of length 0 then the URL is used
      Returns:
        the generated label